//
// $Id: parameter.h 101 2008-07-10 09:20:12Z mrchip $
//
// Copyright (C) 2005 STADT-LAND-FLUSS INGENIEURDIENSTE GmbH
//
// Authors:
// Ulrich Kiel <u.kiel@S-L-F.de>
//
// This program is free software under the GPL (>=v2)
// Read the file COPYING coming with WSPLGEN for details.
//

//----------------------------------------------------------------------------
#ifndef PARAMETERH
#define PARAMETERH

//---------------------------------------------------------------------------
#include <string>
#include <vector>
#include <stdio.h>

typedef std::vector<std::string>	TStringList;

//---------------------------------------------------------------------------
class TParameter
{
	public:
		TParameter(int argc, char **argv);

		bool		IsSetDebug;
		int			DebugLevel;

		bool		IsSetPar;
		std::string	FileNamePar;

		bool		IsSetDelta;
		bool		IsSetVon;
		int			Von;
		bool		IsSetBis;
		int			Bis;
		bool		IsSetDiff;
		int			Diff;

		bool		IsSetDist;
		double		ProfilDistance;

		bool		IsSetGel;
		bool		Sperre;

		bool		IsSetDgm;
		std::string	FileNameDgm;

		bool		IsSetPro;
		std::string	FileNamePro;

		bool		IsSetWsp;
		std::string	FileNameWsp;

		bool		IsSetWspTag;
		std::string	WspTag;

		bool		IsSetLin;
		TStringList	FileNamesLin;

		bool		IsSetAchse;
		std::string	FileNameAchse;

		bool		IsSetGebiet;
		std::string	FileNameGebiet;

		bool		IsSetStrecke;
		bool		IsSetVonKm;
		double		VonKm;
		bool		IsSetBisKm;
		double 		BisKm;

		bool		IsSetSaveTri;
		bool		IsSetSave2DM;
		bool		IsSetSaveSol;

		bool		IsSetAusgabe;
		std::string	FileNameAusgabe;
};

//---------------------------------------------------------------------------
#endif
